package com.njcn.pojo.data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * 监测点通讯日志信息表
 * */
@Table(name="PQS_COMINFORMATION")
public class ComInformation {
	
	@Column(name="UPDATETIME")
	private Date updateTime;
	
	@Column(name="LINE_INDEX")
	private Long lineIndex;
	
	@Column(name="TYPE")
	private Integer type;
	
	@Column(name="DESCRIPTION")
	private String description;
	
	@Column(name="REMARK")
	private String remark;
	
	@Column(name="STATE")
	private Integer state;

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Long getLineIndex() {
		return lineIndex;
	}

	public void setLineIndex(Long lineIndex) {
		this.lineIndex = lineIndex;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	@Override
	public String toString() {
		return "ComInformation [updateTime=" + updateTime + ", lineIndex=" + lineIndex + ", type=" + type
				+ ", description=" + description + ", remark=" + remark + ", state=" + state + "]";
	}
	
	
	
	
	

}
